Name | Type | Default |
animationType
|
String
|
'fade'
|
Sets or gets the animation type.
Possible values:
"fade"
"slide"
"none"
<template> <JqxRibbon ref="myRibbon" :width="400" :animationType="'slide'"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue';
|
animationDelay
|
Number
|
400
|
Sets or gets the duration of the ribbon animation.
<template> <JqxRibbon ref="myRibbon" :width="400" :animationDelay="800"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue';
|
disabled
|
Boolean
|
false
|
Enables/disables the ribbon.
<template> <JqxRibbon ref="myRibbon" :width="400" :disabled="true"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue';
|
height
|
Number | String
|
100
|
Sets or gets the ribbon's height.
<template> <JqxRibbon ref="myRibbon" :width="400" :height="100"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue';
|
initContent
|
Function
|
null
|
Initializes the content of jqxRibbon. Useful for initializing other widgets.
<template> <JqxRibbon ref="myRibbon" :width="400" :initContent="initContent"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; export default { components: { JqxRibbon }, methods: { initContent: function () { jqwidgets.createInstance( '#button', 'jqxButton', { width: 50, height: 50 });
|
mode
|
String
|
'default'
|
Sets or gets the ribbon's display mode.
Possible values:
"default" - the ribbon's content is included in its height.
"popup" - the ribbon's content is not included in its height and is positioned absolutely. It overlaps elements underneath it.
<template> <JqxRibbon ref="myRibbon" :width="400" :mode="'popup'"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue';
|
popupCloseMode
|
String
|
'click'
|
Sets or gets the way to close selected content sections when the mode property is set to "popup".
Possible values:
"click"
"mouseLeave"
"none"
<template> <JqxRibbon ref="myRibbon" :width="400" :mode="'popup'" :popupCloseMode="'mouseLeave'"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue';
|
position
|
String
|
'top'
|
Sets or gets whether the ribbon's header is positioned at the top, bottom, left or right of the content.
Possible values:
"top"
"bottom"
"left"
"right"
<template> <JqxRibbon ref="myRibbon" :width="400" :position="'bottom'"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue';
|
reorder
|
Boolean
|
false
|
Sets or gets whether the ribbon's tabs can be reordered.
<template> <JqxRibbon ref="myRibbon" :width="400" :reorder="true"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue';
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxRibbon ref="myRibbon" :width="400" :rtl="true"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue';
|
selectedIndex
|
Number
|
0
|
Sets or gets the selected index (tab).
<template> <JqxRibbon ref="myRibbon" :width="400" :selectedIndex="1"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue';
|
selectionMode
|
String
|
'click'
|
Sets or gets the selection mode.
Possible values:
"click"
"hover"
"none"
<template> <JqxRibbon ref="myRibbon" :width="400" :selectionMode="'hover'"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue';
|
scrollPosition
|
String
|
'both'
|
Sets or gets the position of the scrollbar buttons.
Possible values:
"both"
"near"
"far"
<template> <JqxRibbon ref="myRibbon" :width="100" :scrollPosition="'near'"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue';
|
scrollStep
|
Number
|
10
|
Sets or gets the scroll step.
<template> <JqxRibbon ref="myRibbon" :width="100" :scrollStep="20"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue';
|
scrollDelay
|
Number
|
50
|
Sets or gets the scroll delay.
<template> <JqxRibbon ref="myRibbon" :width="100" :scrollDelay="100"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue';
|
theme
|
String
|
''
|
Sets the widget's theme.
- Include the theme's CSS file after jqx.base.css.
The following code example adds the 'material' theme. <link rel="stylesheet" href="../../jqwidgets/styles/jqx.base.css"type="text/css"/>
<link rel="stylesheet" href="../../jqwidgets/styles/jqx.material.css" type="text/css" />
- Set the widget's theme property to 'material' when you initialize it.
$('#jqxRibbon').jqxRibbon({ theme: 'material' });
<template> <JqxRibbon ref="myRibbon" :width="400" :theme="'material'"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue';
|
width
|
Number | String
|
null
|
Sets or gets the ribbon's width.
<template> <JqxRibbon ref="myRibbon" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue';
|
|
change
|
Event
|
|
This event is triggered when the user selects or unselects an item.
Code examples
Bind to the change event of jqxRibbon.
<template> <JqxRibbon ref="myRibbon" @change="onChange($event)" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; export default { components: { JqxRibbon }, methods: { onChange: function (event) { alert( 'do something...');
|
reorder
|
Event
|
|
This event is triggered when the user reorders the jqxRibbon items with the mouse.
Code examples
Bind to the reorder event of jqxRibbon.
<template> <JqxRibbon ref="myRibbon" @reorder="onReorder($event)" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; export default { components: { JqxRibbon }, mounted: function () { this.$refs.myRibbon.reorder = true; }, methods: { onReorder: function (event) { alert( 'do something...');
|
select
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the select event of jqxRibbon.
<template> <JqxRibbon ref="myRibbon" @select="onSelect($event)" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; export default { components: { JqxRibbon }, methods: { onSelect: function (event) { alert( 'do something...');
|
unselect
|
Event
|
|
This event is triggered when the user unselects an item.
Code examples
Bind to the unselect event of jqxRibbon.
<template> <JqxRibbon ref="myRibbon" @unselect="onUnselect($event)" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; export default { components: { JqxRibbon }, methods: { onUnselect: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
addAt
|
index, item
|
None
|
Adds a new item by index.
- index - number;
- data - object with the following properties:
- title - string;
- content - string.
<template> <JqxRibbon ref="myRibbon" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; export default { components: { JqxRibbon }, mounted: function () { this.$refs.myRibbon.addAt(0,{ title: "New item", content: "New content" });
|
clearSelection
|
None
|
None
|
Unselects the selected item and collapses its content.
<template> <JqxRibbon ref="myRibbon" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; export default { components: { JqxRibbon }, mounted: function () { this.$refs.myRibbon.clearSelection();
|
disableAt
|
index
|
None
|
Disables an item by index. Index is a number.
<template> <div> <JqxRibbon ref="myRibbon" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon> <JqxButton @click="enable">Enable </JqxButton> <JqxButton @click="disable">Disable </JqxButton> </div></template><script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxRibbon, JqxButton }, methods: { enable: function () { this.$refs.myRibbon.enableAt(0); }, disable: function () { this.$refs.myRibbon.disableAt(0);
|
destroy
|
None
|
None
|
Destroys the jqxRibbon widget.
<template> <JqxRibbon ref="myRibbon" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; export default { components: { JqxRibbon }, mounted: function () { this.$refs.myRibbon.destroy();
|
enableAt
|
index
|
None
|
Enables a disabled item by index. Index is a number.
<template> <div> <JqxRibbon ref="myRibbon" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon> <JqxButton @click="enable">Enable </JqxButton> <JqxButton @click="disable">Disable </JqxButton> </div></template><script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxRibbon, JqxButton }, methods: { enable: function () { this.$refs.myRibbon.enableAt(0); }, disable: function () { this.$refs.myRibbon.disableAt(0);
|
hideAt
|
index
|
None
|
Hides an item by index. Index is a number.
<template> <div> <JqxRibbon ref="myRibbon" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon> <JqxButton @click="show">Show </JqxButton> <JqxButton @click="hide">Hide </JqxButton> </div></template><script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxRibbon, JqxButton }, methods: { show: function () { this.$refs.myRibbon.showAt(0); }, hide: function () { this.$refs.myRibbon.hideAt(0);
|
removeAt
|
index
|
None
|
Removes an item from the ribbon. Index is a number.
<template> <JqxRibbon ref="myRibbon" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; export default { components: { JqxRibbon }, mounted: function () { this.$refs.myRibbon.removeAt(0);
|
render
|
None
|
None
|
Renders the jqxRibbon widget.
<template> <JqxRibbon ref="myRibbon" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; export default { components: { JqxRibbon }, mounted: function () { this.$refs.myRibbon.render();
|
refresh
|
None
|
None
|
Refreshes the jqxRibbon widget.
<template> <JqxRibbon ref="myRibbon" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; export default { components: { JqxRibbon }, mounted: function () { this.$refs.myRibbon.refresh();
|
selectAt
|
index
|
None
|
Selects the item with indicated index. Index is a number.
<template> <JqxRibbon ref="myRibbon" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; export default { components: { JqxRibbon }, mounted: function () { this.$refs.myRibbon.selectAt(1);
|
showAt
|
index
|
None
|
Shows an item by index. Index is a number.
<template> <div> <JqxRibbon ref="myRibbon" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon> <JqxButton @click="show">Show </JqxButton> <JqxButton @click="hide">Hide </JqxButton> </div></template><script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxRibbon, JqxButton }, methods: { show: function () { this.$refs.myRibbon.showAt(0); }, hide: function () { this.$refs.myRibbon.hideAt(0);
|
setPopupLayout
|
index, layout, width, height
|
None
|
Sets the layout of an item's content if mode is set to "popup".
- index - number;
- layout - string, possible values:
- "default" - the item's content is aligned with the widget's header;
- "near" - the item's content is left/top aligned with its title;
- "far" - the item's content is right/bottom aligned with its title;
- "center" - the item's content is centered under/next to its title.
- width - number/string;
- height - number/string.
<template> <JqxRibbon ref="myRibbon" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; export default { components: { JqxRibbon }, mounted: function () { this.$refs.myRibbon.mode = 'popup'; this.$refs.myRibbon.setPopupLayout(0, 'near',200,200);
|
updateAt
|
index, item
|
None
|
Updates an item.
Note: after an item has been updated with updateAt, initContent will be called again for that item (if set).
- index - number;
- newData - object with the following properties:
- newTitle - string;
- newContent - string.
<template> <JqxRibbon ref="myRibbon" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template> <script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; export default { components: { JqxRibbon }, mounted: function () { this.$refs.myRibbon.updateAt(1,{ newTitle: "Updated title", newContent: "Updated content" });
|
val
|
value
|
String
|
Sets or gets the selected index. Index is a number.
<template> <JqxRibbon ref="myRibbon" :width="400"> <ul> <li>Item 1</li> <li>Item 2</li> </ul> <div> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </div> </JqxRibbon></template><script> import JqxRibbon from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxribbon.vue'; export default { components: { JqxRibbon }, mounted: function () { this.$refs.myRibbon.val(1);
|

Name | Type | Default |
animationType
|
enum:RibbonAnimationType
|
'fade'
|
enum RibbonAnimationType { fade, slide, none } Sets or gets the animationType property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent {
|
animationDelay
|
String | Number
|
400
|
Sets or gets the animationDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'" [animationDelay]="800"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'" [disabled]="true"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent {
|
height
|
String | Number
|
100
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'" [height]="100"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent {
|
initContent
|
(index: Any) => Void
|
null
|
Sets or gets the initContent property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'" [initContent]="initContent"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent {
|
mode
|
enum:RibbonMode
|
'default'
|
enum RibbonMode { default, popup } Sets or gets the mode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'" [mode]="'popup'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent {
|
popupCloseMode
|
enum:RibbonPopupCloseMode
|
'click'
|
enum RibbonPopupCloseMode { click, mouseLeave, none } Sets or gets the popupCloseMode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'" [popupCloseMode]="'mouseLeave'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent {
|
position
|
enum:RibbonPosition
|
'top'
|
enum RibbonPosition { top, bottom, left, right } Sets or gets the position property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'" [position]="'left'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'" [rtl]="true"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent {
|
selectedIndex
|
Number
|
0
|
Sets or gets the selectedIndex property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'" [selectedIndex]="2"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent {
|
selectionMode
|
enum:RibbonSelectionMode
|
'click'
|
enum RibbonSelectionMode { click, hover, none } Sets or gets the selectionMode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'" [selectionMode]="'hover'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent {
|
scrollPosition
|
enum:RibbonScrollPosition
|
'both'
|
enum RibbonScrollPosition { both, near, far } Sets or gets the scrollPosition property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'" [scrollPosition]="'near'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent {
|
scrollStep
|
Number
|
10
|
Sets or gets the scrollStep property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'" [scrollStep]="20"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent {
|
scrollDelay
|
Number
|
50
|
Sets or gets the scrollDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'" [scrollDelay]="100"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'" [theme]="'energyblue'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent {
|
width
|
String | Number
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent {
|
|
change
|
Event
|
|
This event is triggered when the user selects or unselects an item.
Code examples
Bind to the change event of jqxRibbon.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon(onChange)="Change($event)" [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent {
|
reorder
|
Event
|
|
This event is triggered when the user reorders the jqxRibbon items with the mouse.
Code examples
Bind to the reorder event of jqxRibbon.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon(onReorder)="Reorder($event)" [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent { Reorder(event: any): void
|
select
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the select event of jqxRibbon.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon(onSelect)="Select($event)" [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent {
|
unselect
|
Event
|
|
This event is triggered when the user unselects an item.
Code examples
Bind to the unselect event of jqxRibbon.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon(onUnselect)="Unselect($event)" [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent { Unselect(event: any): void
|
|
Name | Return Type | Arguments |
addAt
|
Void
|
index: Number, item: RibbonItem
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRibbon') myRibbon: jqxRibbonComponent;
|
clearSelection
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRibbon') myRibbon: jqxRibbonComponent; ngAfterViewInit(): void { this.myRibbon.clearSelection();
|
disableAt
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRibbon') myRibbon: jqxRibbonComponent; ngAfterViewInit(): void { this.myRibbon.disableAt(0);
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRibbon') myRibbon: jqxRibbonComponent;
|
enableAt
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRibbon') myRibbon: jqxRibbonComponent; ngAfterViewInit(): void { this.myRibbon.enableAt(0);
|
hideAt
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRibbon') myRibbon: jqxRibbonComponent;
|
removeAt
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRibbon') myRibbon: jqxRibbonComponent; ngAfterViewInit(): void { this.myRibbon.removeAt(0);
|
render
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRibbon') myRibbon: jqxRibbonComponent;
|
refresh
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRibbon') myRibbon: jqxRibbonComponent;
|
selectAt
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRibbon') myRibbon: jqxRibbonComponent; ngAfterViewInit(): void { this.myRibbon.selectAt(0);
|
showAt
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRibbon') myRibbon: jqxRibbonComponent;
|
setPopupLayout
|
Void
|
index: Number, layout: Any, width: String | Number, height: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRibbon') myRibbon: jqxRibbonComponent; ngAfterViewInit(): void { this.myRibbon.setPopupLayout(20, 'left',200,400);
|
updateAt
|
Void
|
index: Number, item: RibbonItem
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRibbon') myRibbon: jqxRibbonComponent; ngAfterViewInit(): void { this.myRibbon.updateAt(1,Item1);
|
val
|
String
|
value: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRibbon #myRibbon [width]="800" [animationType]="'slide'"> <ul style="border-top-left-radius: 0; border-top-right-radius: 0;"> <li style="margin-left: 30px;">Node.js</li> <li style="margin-left: 30px;">JavaServer Pages </li> <li style="margin-left: 30px;">Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </jqxRibbon> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRibbon') myRibbon: jqxRibbonComponent; ngAfterViewInit(): void { let value = this.myRibbon.val();
|

Name | Type | Default |
animationType
|
String
|
'fade'
|
Sets or gets the animationType property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { render() { return ( <JqxRibbon ref='myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
animationDelay
|
Number
|
400
|
Sets or gets the animationDelay property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { render() { return ( <JqxRibbon ref='myRibbon' width={800} animationType={ 'slide'} animationDelay={800}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { render() { return ( <JqxRibbon ref='myRibbon' width={800} animationType={ 'slide'} disabled={true}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
height
|
Number
|
100
|
Sets or gets the height property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { render() { return ( <JqxRibbon ref='myRibbon' width={800} animationType={ 'slide'} height={100}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
initContent
|
Function
|
null
|
Sets or gets the initContent property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { render() { return ( <JqxRibbon ref='myRibbon' width={800} animationType={ 'slide'} initContent={initContent}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
mode
|
String
|
'default'
|
Sets or gets the mode property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { render() { return ( <JqxRibbon ref='myRibbon' width={800} animationType={ 'slide'} mode={'popup'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
popupCloseMode
|
String
|
'click'
|
Sets or gets the popupCloseMode property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { render() { return ( <JqxRibbon ref='myRibbon' width={800} animationType={ 'slide'} popupCloseMode={'mouseLeave'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
position
|
String
|
'top'
|
Sets or gets the position property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { render() { return ( <JqxRibbon ref='myRibbon' width={800} animationType={ 'slide'} position={'left'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { render() { return ( <JqxRibbon ref='myRibbon' width={800} animationType={ 'slide'} rtl={true}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
selectedIndex
|
Number
|
0
|
Sets or gets the selectedIndex property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { render() { return ( <JqxRibbon ref='myRibbon' width={800} animationType={ 'slide'} selectedIndex={2}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
selectionMode
|
String
|
'click'
|
Sets or gets the selectionMode property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { render() { return ( <JqxRibbon ref='myRibbon' width={800} animationType={ 'slide'} selectionMode={'hover'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
scrollPosition
|
String
|
'both'
|
Sets or gets the scrollPosition property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { render() { return ( <JqxRibbon ref='myRibbon' width={800} animationType={ 'slide'} scrollPosition={'near'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
scrollStep
|
Number
|
10
|
Sets or gets the scrollStep property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { render() { return ( <JqxRibbon ref='myRibbon' width={800} animationType={ 'slide'} scrollStep={20}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
scrollDelay
|
Number
|
50
|
Sets or gets the scrollDelay property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { render() { return ( <JqxRibbon ref='myRibbon' width={800} animationType={ 'slide'} scrollDelay={100}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
theme
|
String
|
''
|
Sets or gets the theme property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { render() { return ( <JqxRibbon ref='myRibbon' width={800} animationType={ 'slide'} theme={'energyblue'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
width
|
Number
|
null
|
Sets or gets the width property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { render() { return ( <JqxRibbon ref='myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
|
change
|
Event
|
|
This event is triggered when the user selects or unselects an item.
Code examples
Bind to the change event of jqxRibbon.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { componentDidMount() { this.refs.myRibbon.on('change', (event) => { // Do Something... }); } render() { return ( <JqxRibbon ref= 'myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
reorder
|
Event
|
|
This event is triggered when the user reorders the jqxRibbon items with the mouse.
Code examples
Bind to the reorder event of jqxRibbon.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { componentDidMount() { this.refs.myRibbon.on('reorder', (event) => { // Do Something... }); } render() { return ( <JqxRibbon ref= 'myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
select
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the select event of jqxRibbon.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { componentDidMount() { this.refs.myRibbon.on('select', (event) => { // Do Something... }); } render() { return ( <JqxRibbon ref= 'myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
unselect
|
Event
|
|
This event is triggered when the user unselects an item.
Code examples
Bind to the unselect event of jqxRibbon.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { componentDidMount() { this.refs.myRibbon.on('unselect', (event) => { // Do Something... }); } render() { return ( <JqxRibbon ref= 'myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
|
Name | Return Type |
addAt
|
None
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { componentDidMount() { this.refs.myRibbon.addAt(0); } render() { return ( <JqxRibbon ref= 'myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
clearSelection
|
None
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { componentDidMount() { this.refs.myRibbon.clearSelection(); } render() { return ( <JqxRibbon ref= 'myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
disableAt
|
None
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { componentDidMount() { this.refs.myRibbon.disableAt(0); } render() { return ( <JqxRibbon ref= 'myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
destroy
|
None
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { componentDidMount() { this.refs.myRibbon.destroy(); } render() { return ( <JqxRibbon ref= 'myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
enableAt
|
None
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { componentDidMount() { this.refs.myRibbon.enableAt(0); } render() { return ( <JqxRibbon ref= 'myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
hideAt
|
None
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { componentDidMount() { this.refs.myRibbon.hideAt(0); } render() { return ( <JqxRibbon ref= 'myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
removeAt
|
None
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { componentDidMount() { this.refs.myRibbon.removeAt(0); } render() { return ( <JqxRibbon ref= 'myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
render
|
None
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { componentDidMount() { this.refs.myRibbon.render(); } render() { return ( <JqxRibbon ref= 'myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
refresh
|
None
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { componentDidMount() { this.refs.myRibbon.refresh(); } render() { return ( <JqxRibbon ref= 'myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
selectAt
|
None
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { componentDidMount() { this.refs.myRibbon.selectAt(0); } render() { return ( <JqxRibbon ref= 'myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
showAt
|
None
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { componentDidMount() { this.refs.myRibbon.showAt(0); } render() { return ( <JqxRibbon ref= 'myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
setPopupLayout
|
None
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { componentDidMount() { this.refs.myRibbon.setPopupLayout(20,'left',200,400); } render() { return ( <JqxRibbon ref= 'myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
updateAt
|
None
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { componentDidMount() { this.refs.myRibbon.updateAt(1,Item1); } render() { return ( <JqxRibbon ref= 'myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
val
|
String
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxRibbon from 'jqwidgets-react/react_jqxribbon.js'; class App extends React.Component { componentDidMount() { let value = this.refs.myRibbon.val(); } render() { return ( <JqxRibbon ref= 'myRibbon' width={800} animationType={ 'slide'}> <ul> <li style={{ marginLeft: 30 }}>Node.js </li> <li style={{ marginLeft: 30 }}>JavaServer Pages </li> <li style={{ marginLeft: 30 }}>Active Server Pages </li> </ul> <div> <div> Node.js is an event-driven I/O server-side JavaScript environment based on V8..... </div> <div> JavaServer Pages (JSP) is a Java technology that helps software developers serve... </div> <div> ASP.NET is a web application framework developed and marketed by Microsoft... </div> </div> </JqxRibbon> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|